Update Project Plan

Changes the project to a new plan.

PATCH /project/:id/plan

Path Parameters

ParameterTypeDescription
idstringProject ID (ObjectId)

Headers

HeaderRequiredDescription
x-api-keyYesProject API Key
x-organization-idYesActive project organization
Content-Type: application/jsonYesRequired because the request has a JSON body

Body

FieldTypeRequiredDescription
planstringYesPlan identifier

Available Plans

PlanDescription
staticStatic plan
basicBasic plan
premiumPremium plan
premium_plusPremium plus plan
businessBusiness plan
deep_learning_basicBasic Deep Learning (with GPU)
deep_learning_premiumPremium Deep Learning (with GPU)

Example

{
  "plan": "premium"
}

Response

{
  "status": "success",
  "message": "updated with success"
}

Examples

curl -X PATCH "https://api.zenifra.com/v1/project/507f1f77bcf86cd799439011/plan" \
  -H "x-api-key: your-api-key" \
  -H "x-organization-id: your-organization-id" \
  -H "Content-Type: application/json" \
  -d '{"plan": "premium"}'

Python

import requests

API_KEY = "your-api-key"
ORGANIZATION_ID = "your-organization-id"
PROJECT_ID = "507f1f77bcf86cd799439011"

response = requests.patch(
    f"https://api.zenifra.com/v1/project/{PROJECT_ID}/plan",
    headers={"x-api-key": API_KEY, "x-organization-id": ORGANIZATION_ID},
    json={"plan": "premium"}
)
print(response.json())

Notes

  • Plan change may take a few minutes to be applied
  • The price will be adjusted according to the project's payment model
  • GPU plans (deep_learning_basic, deep_learning_premium) have additional cost